/* 头部结构 */
.db-official-header {
  padding-top: 6.25rem;
  box-sizing: border-box;
  position: relative;
}

.db-official-header-bg {
  z-index: -1;
  opacity: 1;
  position: absolute;
  position: fixed;
  top: 0;
  width: 100%;
  height: 100%;
  width: 100%;
  height: 52.9375rem;
  object-fit: cover;
  overflow: hidden;
  display: flex;
  justify-content: center;
}

@media screen and (max-width: 1080px) {
  .db-official-header-bg {
    width: 90rem;
    position: absolute;
  }
}

.db-official-header-bg::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  width: 100%;
  height: 6.25rem;
  background: linear-gradient(rgba(0, 0, 0, 0.4), transparent);
  z-index: 1;
}

.db-official-header-bgmask {
  opacity: 0.9;
  /* opacity: 0; */
  position: fixed;
  top: 0;
  width: 100%;
  height: 52.9375rem;
  z-index: 1;
}

.db-official-header-bgmask::before {
  content: "";
  display: block;
  position: absolute;
  top: -1.25rem;
  width: 66%;
  left: 17%;
  height: 100%;
  background: radial-gradient(rgba(0, 0, 0, 0.88) 20%, rgba(0, 0, 0, 0.3) 38%, transparent, transparent);
  z-index: 111;
}

.db-official-header-bg::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 6.25rem;
  background: linear-gradient(transparent, #040116);
}

.db-official-header-bg img {
  /* width: 100%; */
  max-width: 120rem;
  height: 52.9375rem;
  object-fit: cover;
}

.db-official-header-bg .vjs-seeking .vjs-loading-spinner,
.db-official-header-bg .vjs-waiting .vjs-loading-spinner {
  display: none;
}

.db-official-header-bgimg,
.db-official-header-bgvideo {
  position: relative;
}

.db-official-header-bgimg::before,
.db-official-header-bgimg::after,
.db-official-header-bgvideo::before,
.db-official-header-bgvideo::after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  width: 18.75rem;
  height: 100%;
  z-index: 1;
}

.db-official-header-bgimg::before,
.db-official-header-bgvideo::before {
  left: -5rem;
  background: linear-gradient(to right, #040116, transparent);
  /* background: linear-gradient(to right, #040116,rgba(4,1,22,0.8) 10%, transparent); */
}

.db-official-header-bgimg::after,
.db-official-header-bgvideo::after {
  right: -6.25rem;
  background: linear-gradient(to left, #040116,  transparent);
  /* background: linear-gradient(to left, #040116,rgba(4,1,22,0.8) 10%, transparent); */
}

.db-official-header-bgvideo.video-js {
  /* width: 100%; */
  max-width: 120rem;
  height: 52.9375rem;
  object-fit: cover;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

/* .db-official-header::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  width: 100%;
  height: 100px;
  background: linear-gradient(rgba(0, 0, 0, 0.2), transparent);
} */

.db-official-header .header-theme {
  display: flex;
  align-items: center;
  margin-bottom: 3.75rem;
}

.db-official-header .header-theme-lf {
  width: 13.4375rem;
  height: 3.5625rem;
  margin-right: 2.125rem;
}

.db-official-header .header-theme-lf>img {
  width: auto;
  height: 100%;
}

.db-official-header .header-theme-rt {
  width: 13.4375rem;
  height: 3.5625rem;
  margin-left: 2.125rem;
  position: relative;
}

.db-official-header .header-theme-rt>img {
  width: auto;
  height: 100%;
}

.db-official-header .header-theme-rt::before {
  content: "";
  position: absolute;
  left: -2.1875rem;
  top: 50%;
  transform: translateY(-50%);
  height: 3.4375rem;
  width: 0.0625rem;
  border-left: 0.0625rem dashed #bbbdcb;
}
.db-official-header .header-theme-rt::after {
  content: "";
  position: absolute;
  left: -0.625rem;
  top: 50%;
  transform: translateY(-48%);
  height: 6.25rem;
  width: 6.25rem;
  z-index: -1;
  opacity: 0.5;
  background: radial-gradient(rgba(0, 0, 0, 0.6) 20%, rgba(0, 0, 0, 0.3) 38%, transparent, transparent);
}

.db-official-header .header-title {
  font-family: "Radikal";
  position: relative;
}

.db-official-header .header-point {
  position: absolute;
  left: -8.5rem;
  top: -8.5rem;
  width: 31.25rem;
  z-index: -1;
  opacity: 0.7;
}

.db-official-header .header-italic {
  color: #e9e9f4;
  font-family: "Radikal";
  font-size: 1.125rem;
  font-style: italic;
  font-weight: 300;
  line-height: 1.625rem;
  margin-bottom: 1.75rem;
  text-shadow: 1PX 1PX 2PX #112b6f; /* ignore */
}

.db-official-header .header-btn {
  /* background: linear-gradient(217.27deg, #00a84b 20%, #326ff0 80%); */
  background: #326ff0;
  width: 11.25rem;
  margin-bottom: 3.75rem;
  height: 3rem;
  box-shadow: 0 0.125rem 0.5rem rgba(54, 58, 80, .32);
}

.button-style:after{
  display: none;
}

.button-style:hover .gradient-move-deco{
  transform: translateX(-0.75rem) translateY(0.375rem) rotate(3deg);
  opacity: 1;
  background-size: 98% 96%;
}


.db-official-header .header-video {
  width: 49.375rem;
  height: 27.625rem;
  border-radius: 1.25rem;
  margin-bottom: 3.75rem;
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.video-main {
  width: inherit;
  height: inherit;
  opacity: 0;
}

.video-coverbox {
  position: absolute;
  width: inherit;
  height: inherit;
  z-index: 11;
  cursor: pointer;
}

.video-cover {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.video-coverbox::before {
  content: "";
  background: rgba(0, 0, 0, 0.2);
  width: 100%;
  height: 100%;
  z-index: 1;
  position: absolute;
  left: 0;
  top: 0;
}

.video-decobox {
  position: absolute;
  width: inherit;
  height: inherit;
  z-index: 0;
  top: 0;
}

.video-decobox .gradient-move-deco {
  left: 12.5rem;
  top: -6.25rem;
  width: 31.25rem;
  height: 31.25rem;
  animation: 8s move linear infinite;
  transition: opacity 0.3s ease-in-out;
}

.video-coverbox .video-decobox .gradient-move-deco {
  opacity: 0.4;
}

.video-coverbox:hover .video-decobox .gradient-move-deco {
  opacity: 0.6;
}

.gradient-move-deco {
  transition: opacity 0.3s ease-in-out;
  opacity: 0;
  position: absolute;
  width: 11.25rem;
  height: 11.25rem;
  background: conic-gradient(from 268deg at 50% 50%, #1760FA 80.05deg, #FF521C 174.62deg,   #3733FF 245.5deg, #1760FA 348.05deg);
  filter: blur(3.75rem) brightness(1.5);
  animation: 5s move linear infinite;
}

@keyframes move {
  from {
    transform: rotate(180deg);
  }

  to {
    transform: rotate(540deg);
  }
}

.video-playerIcon {
  position: absolute;
  cursor: pointer;
  width: 4.5rem;
  height: 4.5rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-image: url(https://ogdb-cdn.intlgame.cn/front/pc/official/images/player-video.d97a5a..png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  z-index: 1;
}

.video-playerIcon::before {
  content: "";
  background-image: url(https://ogdb-cdn.intlgame.cn/front/pc/official/images/player-video-before.7dba00..png);
  background-position: center;
  background-size: contain;
  width: 6.125rem;
  height: 6.125rem;
  position: absolute;
  top: -0.8125rem;
  left: -0.8125rem;
  animation: 2s scale linear infinite;
}

.video-playerIcon::after {
  content: "";
  background-image: url(https://ogdb-cdn.intlgame.cn/front/pc/official/images/player-video-after.48616e..png);
  background-position: center;
  background-size: contain;
  width: 7.75rem;
  height: 7.75rem;
  border-radius: 100%;
  position: absolute;
  top: -1.625rem;
  left: -1.625rem;
  animation: 2s scale linear infinite;
  animation-delay: 0.4s;
}

@keyframes scale {
  0% {
    transform: scale(0.8);
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    transform: scale(1);
    opacity: 0;
  }
}

.db-official-header .header-video.video-js:hover .vjs-big-play-button,
.video-js .vjs-big-play-button:focus {
  border: unset;
  background-color: unset;
}

.db-official-header .header-video .vjs-big-play-button {
  display: none;
}

.db-official-header .header-video .vjs-big-play-button span::before {
  content: "";
}

.db-official-header video {
  width: 100%;
  height: 100%;
}

.db-official-header .header-studios {
  color: #e9e9f4;
  opacity: 0.6;
  font-size: 1.5rem;
  line-height: 1.625rem;
  margin-bottom: 1.875rem;
}

.db-official-header .header-studios-box {
  width: 100%;
  padding: 1.25rem 0;
  box-sizing: border-box;
}

.db-official-header .header-studios-farter {
  overflow: hidden;
  display: flex;
  align-items: center;
}

.db-official-header .header-studios-wrapper {
  display: flex;
  align-items: center;
}

.db-official-header .header-img {
  height: 3.75rem;
  width: auto;
  margin-right: 3rem;
}

.db-official-header .swiper-slide:last-child .header-img {
  margin-right: 0;
}

/* Numbers结构 */
.db-official-numbers {
  padding-top: 7.5rem;
}

.db-official-numbers .numbers-title {
  margin-bottom: 2.5rem;
  perspective: 37.5rem;
  -webkit-perspective: 37.5rem;
}

.db-official-numbers .numbers-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 75rem;
  perspective: 37.5rem;
  -webkit-perspective: 37.5rem;
}

.db-official-numbers .numbers-item {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  opacity: 0;
  transform-origin: center top;
  transform-style: preserve-3d;
  -webkit-transform-style: preserve-3d;
  transform: translateY(50%) rotateX(-50deg);
  transition: opacity 0s cubic-bezier(.215, .61, .355, 1), transform 0s cubic-bezier(.215, .61, .355, 1);

}

.numbers-item.is-inview {
  transform: none;
  opacity: 1;
  transition-duration: .3s;
}

.db-official-numbers .numbers-item:first-child {
  width: 13.375rem;
}

.db-official-numbers .numbers-text {
  font-family: "Radikal";
  color: #fff;
  text-align: center;
  font-size: 3.75rem;
  font-weight: 700;
  line-height: 4.5rem;
  /* margin-bottom: 19px; */
}

.db-official-numbers .numbers-unit {
  color: #326ff0;
  font-size: 2.5rem;
  font-weight: 700;
  line-height: 3.25rem;
  margin-left: 0.375rem;
}

.db-official-numbers .numbers-unit--normal {
  font-size: 3.75rem;
  font-weight: 700;
  line-height: 4.5rem;
}

.db-official-numbers .numbers-desc {
  color: #e9e9f4;
  text-align: center;
  opacity: 0.6;
  font-size: 1.5rem;
  line-height: 2rem;
}

/* Modules 结构 */
.db-official-modules {
  padding-top: 7.5rem;
}

.db-official-modules .modules-context {
  background-color: #000728;
  background-image: url(https://ogdb-cdn.intlgame.cn/front/pc/official/images/modules-bg.75aa73..jpg);
  background-repeat: no-repeat;
  background-size: auto 100%;
  background-position: center 0;
  height: 42.5rem;
  display: flex;
  align-items: center;
}

.db-official-modules .modules-title {
  margin-bottom: 1rem;
}

.db-official-modules .swiper-thumbs {
  position: relative;
}

.db-official-modules .swiper-thumbs .swiper-slide-thumb-active .thumbs-text {
  color: #326ff0;
  font-weight: 700;
}

.db-official-modules .swiper-thumbs .thumbs-text::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0;
  height: 0.1875rem;
  background-color: #326ff0;
  transition: width 0.3s ease-in-out;
}

.db-official-modules .swiper-thumbs .swiper-slide-thumb-active .thumbs-text::after {
  width: 100%;
}

.db-official-modules .modulesSwiperThumbs .swiper-slide {
  width: 14.25rem !important;
}

.db-official-modules .modules-thumbs {
  width: 10.5rem;
  padding-bottom: 1.25rem;
  position: relative;
  cursor: pointer;
  margin: 0 1.875rem;
  transition: all 0.3s ease-in-out;
}

.db-official-modules .thumbs-icon {
  width: 3.875rem;
  height: 3.875rem;
  border-radius: 0.5rem;
  border: 0.125rem solid transparent;
  border-radius: 8px;
  background-clip: padding-box, border-box;
  background-origin: padding-box, border-box;
  background-image: var(--border-in-black), linear-gradient( 220deg, #326ff0, #326ff0, #fa684a, #7064ff, #7064ff 100% );
  box-sizing: border-box;
  /* background-color: #326ff0; */
  opacity: 0.6;
  margin: 2.4375rem auto;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease-in-out;
}

.db-official-modules .swiper-slide:hover .thumbs-icon,
.db-official-modules .swiper-slide-thumb-active .thumbs-icon {
  box-shadow: 0 0.1875rem 0.1875rem 0 rgba(96, 97, 99, 0.04),
    0 0.375rem 0.3125rem 0 rgba(7, 87, 243, 0.06),
    0 0.75rem 0.625rem 0 rgba(7, 87, 243, 0.07),
    0 1.375rem 1.125rem 0 rgba(7, 87, 243, 0.08),
    0 2.5625rem 2.1875rem 0 rgba(7, 87, 243, 0.1),
    0 6.25rem 5.3125rem 0 rgba(7, 87, 243, 0.14);
}

.db-official-modules .swiper-slide:hover .thumbs-icon {
  opacity: 1;
}

.db-official-modules .swiper-slide-thumb-active .thumbs-icon {
  transform: scale(1.25) translateY(-0.3125rem);
  opacity: 1;
  background: unset;
  background-color: #326ff0;
}

.db-official-modules .swiper-slide-thumb-active .thumbs-text {
  font-size: 1.625rem;
  opacity: 1;
}

.db-official-modules .thumbs-icon img {
  width: 2rem;
  height: 2rem;
}

.db-official-modules .thumbs-text {
  color: #e9e9f4;
  opacity: 0.6;
  text-align: center;
  font-size: 1.5rem;
  font-weight: 300;
  line-height: 2rem;
  transition: all 0.3s ease-in-out;
}

.db-official-modules .swiper-thumbs .swiper-slide:hover .thumbs-text {
  color: #326ff0;
  opacity: 1;
}


.db-official-modules .modules-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.db-official-modules .modules-img {
  opacity: 0;
}

.db-official-modules .swiper-slide-active .modules-img {
  animation: swiperAnimation 0.6s ease-in-out;
  opacity: 1;
}

.db-official-modules .modules-img {
  height: 42.5rem;
  width: auto;
}

.db-official-modules .modules-rt-title {
  color: #fff;
  font-size: 2.5rem;
  font-weight: 500;
  line-height: 3.25rem;
  margin-bottom: 1.25rem;
  margin-top: 1.25rem;
}

.db-official-modules .modules-rt-desc {
  color: #e9e9f4;
  font-size: 1.375rem;
  font-weight: 300;
  line-height: 2rem;
  margin-bottom: 1.375rem;
  opacity: 0.6;
}

.db-official-modules .modules-rt-item {
  color: #e9e9f4;
  font-size: 1.375rem;
  font-weight: 300;
  line-height: 1.875rem;
  margin-bottom: 1.25rem;
  position: relative;
  padding-left: 2rem;
  opacity: 0.6;
}

.db-official-modules .modules-rt-item::before {
  content: "";
  position: absolute;
  width: 0.75rem;
  height: 0.75rem;
  border-radius: 50%;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  background: #e9e9f4;
}

.db-official-modules .modules-rt-item:last-child {
  margin-bottom: 0;
}

/* features结构 */
.db-official-features {
  padding-top: 7.5rem;
  background: url(https://ogdb-cdn.intlgame.cn/front/pc/official/images/geatures-bg.3bbcae..png);
  background-size: auto 100%;
  background-position: center 0;
}

.db-official-features .features-title {
  margin-bottom: 3.75rem;
}

.db-official-features .features-btn {
  min-width: 17.5rem;
  height: 6.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.25rem;
  line-height: 1.875rem;
  text-align: center;
  cursor: pointer;
  overflow: hidden;
  position: relative;
}

.db-official-features .features-btn-text {
  color: #e9e9f4;
  opacity: 0.8;
  transition: opacity 0.3s ease-in-out;
}

.db-official-features .features-btn:hover .gradient-move-deco {
  opacity: 1;
}

.db-official-features .features-btn:hover .features-btn-text {
  opacity: 1;
}

.db-official-features .featuresSwiperThumbs {
  margin: 0 8.125rem;
  margin-bottom: 3.125rem;
  width: 75rem;
}

.db-official-features .featuresSwiperThumbs .swiper-slide:last-child {
  margin-right: 0 !important;
}

.db-official-features .featuresSwiperThumbs .swiper-slide-thumb-active .features-btn {
  background-color: #326ff0;
  border: unset;
  background-image: unset;
}

.db-official-features .featuresSwiperThumbs .swiper-slide-thumb-active .features-btn-text {
  color: #fff;
  opacity: 1;
}

.db-official-features .featuresSwiperThumbs .swiper-slide-thumb-active .features-btn span {
  background-color: unset;
  box-sizing: border-box;
}

.db-official-features .featuresSwiperThumbs .swiper-slide-thumb-active .features-btn .gradient-move-deco {
  opacity: 0;
}

.db-official-features .features-box {
  display: flex;
  justify-content: space-between;
  margin: 0 8.125rem;
  opacity: 0;
}

.db-official-features .swiper-slide-active .features-box {
  animation: swiperAnimation 0.6s ease-in-out;
  opacity: 1;
}

.db-official-features .features-lf {
  width: 36.375rem;
}

.db-official-features .features-header {
  display: flex;
  align-items: center;
  color: #fff;
  font-weight: 500;
  font-size: 2rem;
  line-height: 2.5rem;
  margin-bottom: 1.375rem;
}
.db-official-features .features-header span {
  margin-top: 3PX;
}

@media screen and (max-width: 1440px) {
  .db-official-features .features-header span {
    margin-top: 4PX;
  }
}

.db-official-features .features-icon {
  width: 3rem;
  height: 3rem;
  border-radius: 0.5rem;
  background-color: #dbdcff;
  margin-right: 1.4375rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.db-official-features .features-icon img {
  width: 2rem;
  height: 2rem;
}

.db-official-features .features-desc {
  color: #e9e9f4;
  opacity: 0.6;
  font-size: 1.125rem;
  font-weight: 300;
  line-height: 1.625rem;
  margin-bottom: 4.9375rem;
}

.db-official-features .features-rt {
  width: 29.1875rem;
  height: 18.625rem;
  text-align: center;
}

.db-official-features .features-rt img {
  width: auto;
  height: 100%;
}

.db-official-features .featuresSwiper{
  padding-bottom: 7.5rem;
}

/* They are with us结构 */
.db-official-customer {
  padding: 3.75rem 0;
  box-sizing: border-box;
  height: 29.875rem;
  position: relative;
  overflow: hidden;
  background: linear-gradient(135deg, #326ff0 0%, #7864f3 50%, #f06756 92.83%);
  background-position: 0 100%;
  background-size: 130% 100%;
  animation: 5s gradientBg linear infinite;
}

@keyframes gradientBg {
  0% {
    background-position: 0 100%;
  }

  50% {
    background-position: 100% 100%;
  }

  100% {
    background-position: 0% 100%;
  }
}

.db-official-customer .customer-context {
  width: 25.9375rem;
  margin-top: 3.75rem;
}

.db-official-customer .customer-title {
  margin-bottom: 1.25rem;
}


.db-official-customer .customer-desc {
  color: #e9e9f4;
  font-size: 1.125rem;
  line-height: 1.625rem;
  margin-bottom: 3.75rem;
}

.db-official-customer .customer-card {
  width: 38.75rem;
  height: 22.375rem;
  border-radius: 1.25rem;
  padding: 2rem;
  padding-bottom: 1.5625rem;
  background-image: var(--border-in-white), var(--border-out);
  box-sizing: border-box;
  position: relative;
}

.db-official-customer .customer-card-hd {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 1.0625rem;
}

.db-official-customer .customer-card-lf {
  width: 3.75rem;
  height: 2.3125rem;
}

.db-official-customer .customer-card-lf img {
  width: 100%;
  height: 100%;
}

.db-official-customer .customer-card-rt {
  width: 4.25rem;
  height: 1.75rem;
}

.db-official-customer .customer-card-rt img {
  width: 100%;
  height: 100%;
}

.db-official-customer .customer-card-rt.large-logo {
  width: 6.25rem;
  height: 3.125rem;
  display: flex;
  justify-content: flex-end;
}

.db-official-customer .customer-card-rt.large-logo img {
  object-fit: contain;
  width: auto;
  height: 100%;
}

.db-official-customer .customer-card-text {
  color: #2b2b2b;
  font-size: 1.125rem;
  line-height: 1.75rem;
}

.db-official-customer .customerSwiper {
  height: 22.375rem;
  width: 75rem;
}

.db-official-customer .swiper-wrapper {
  width: 38.75rem;
  float: right;
  margin-right: 1.875rem;
}

.db-official-customer .customer-card-message {
  padding-top: 0.625rem;
  border-top: 0.0625rem solid #d4d4d4;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  position: absolute;
  bottom: 0.625rem;
  left: 2rem;
  right: 2rem;
}

.db-official-customer .customer-message-lf {
  display: flex;
  align-items: center;
}

.db-official-customer .customer-avatar {
  width: 4.3125rem;
  height: 4.3125rem;
  border-radius: 50%;
  margin-right: 1rem;
  background-color: #838697;
}

.db-official-customer .customer-message-title {
  color: #000;
  font-size: 1.25rem;
  font-weight: 700;
  line-height: 1.75rem;
  margin-bottom: 0.5rem;
}

.db-official-customer .customer-message-text {
  color: #000;
  font-size: 0.9375rem;
}

.db-official-customer .customer-message-rt {
  width: 5.625rem;
  transform: translateY(-0.375rem);
}

.db-official-customer .customer-message-rt img {
  width: 0.875rem;
  height: 0.875rem;
  margin-left: 0.25rem;
}

.db-official-customer .customerSwiper > .customer-card-pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.625rem 1.25rem;
  border: 0.125rem solid #326ff0;
  border-radius: 1.875rem;
  width: fit-content;
  position: absolute;
  right: 17.5rem;
  top: 14.375rem;
  z-index: 10;
  background: #fff;
}

.db-official-customer .customerSwiper > .customer-card-pagination .swiper-pagination-bullet {
  width: 0.625rem;
  height: 0.625rem;
  border-radius: 50%;
  background-color: rgba(50, 111, 240, 0.3);
  margin: 0 0.5rem !important;
  opacity: 1;
  cursor: pointer;
  transition: all 0.3s ease;
}

.db-official-customer .customerSwiper > .customer-card-pagination .swiper-pagination-bullet-active {
  background-color: #326ff0;
}

/* 底部结构 */
.db-official-footer {
  padding-top: 3.3125rem;
}

.db-official-footer .footer-box {
  display: flex;
  justify-content: space-between;
  padding: 2.5rem;
  padding-bottom: 3.375rem;
  align-items: center;
  box-sizing: content-box;
  width: 75rem;
}

.db-official-footer .footer-left {
  width: 22.875rem;
  position: relative;
}

.db-official-footer .footer-left::after {
  content: "";
  position: absolute;
  opacity: 0.7;
  border-left: 0.0625rem dashed rgba(255, 255, 255, 0.35);
  right: -5.8125rem;
  width: 0.0625rem;
  height: 15.5rem;
  top: 0;
}

.db-official-footer .footer-theme {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 2.5rem;
}

.db-official-footer .footer-theme-left {
  width: 8.625rem;
  height: 2.3125rem;
  background: url(https://ogdb-cdn.intlgame.cn/front/pc/official/images/level-infinite.81f15b..png);
  position: relative;
  background-size: contain;
}

.db-official-footer .footer-theme-left::after {
  content: "";
  position: absolute;
  right: -1.5rem;
  top: 50%;
  transform: translateY(-50%);
  width: 0.0625rem;
  height: 1.4375rem;
  background: rgba(236, 236, 236, 0.4);
}

.db-official-footer .footer-theme-right {
  width: 10.875rem;
  height: 2.3125rem;
  background: url(https://ogdb-cdn.intlgame.cn/front/pc/official/images/databrain.dae2a1..png);
  background-size: contain;
}

.db-official-footer .footer-desc {
  color: #e9e9f4;
  opacity: 0.6;
  font-size: 1.125rem;
  font-weight: 300;
  line-height: 1.75rem;
  width: 25.4375rem;
  margin-bottom: 4.8125rem;
}

.footer-min {
  vertical-align: text-top;
  font-size: 1.5625rem;
}
.db-official-footer .footer-email {
  display: flex;
  align-items: center;
  color: rgba(233, 233, 244, 0.6);
  font-size: 1.125rem;
  font-weight: 300;
  /* line-height: 24px; */
}

.db-official-footer .footer-email-icon {
  width: 1.375rem;
  height: 1.375rem;
  margin-right: 1.125rem;
}

.db-official-footer .footer-right {
  width: 26rem;
  margin-right: 8.125rem;
}

.db-official-footer .footer-title {
  margin-bottom: 0.9375rem;
  text-align: center;
}

.db-official-footer .footer-text {
  color: #e9e9f4;
  opacity: 0.6;
  text-align: center;
  font-size: 1.125rem;
  line-height: 1.75rem;
  margin-bottom: 1rem;
}

.db-official-footer .footer-input {
  display: flex;
  height: 3rem;
  padding: 0.875rem;
  box-sizing: border-box;
  border-radius: 0.5rem;
  border: 0.0625rem solid rgba(155, 159, 176, 0.5);
  background: #fff;
  margin-bottom: 1rem;
  width: 100%;
  outline: unset;
}

.db-official-footer .footer-input::placeholder {
  color: #838697;
  font-size: 1rem;
  font-weight: 300;
  line-height: 1.5rem;
}

.db-official-footer .footer-btn {
  margin: auto;
}

.db-official-footer .footer-copyright {
  padding-top: 2.1875rem;
  padding-bottom: 3rem;
  box-sizing: border-box;
  color: rgba(233, 233, 244, 0.3);
  text-align: center;
  font-size: 1rem;
  line-height: 1.625rem;
  border-top: 0.0625rem solid rgba(227, 227, 227, 0.2);
  width: 100%;
}

/* 轮播图动画 */
@keyframes swiperAnimation {
  0% {
    opacity: 0;
    transform: translateY(0.9375rem);
  }

  100% {
    opacity: 100%;
    transform: translateY(0);
  }
}

 /* 弹窗样式 */
    .custom-alert-container {
      animation: 0.4s transY ease-in-out;
      transition: 0.3s opacity ease-in-out;
      display: none;
      position: fixed;
      top: 3.75rem;
      right: 3.125rem;
      /*right: -7%;*/
      /*transform: translate(-50%, -50%);*/
      background-color: #fff;
      border-radius: 0.3125rem;
      box-shadow: 0 0.125rem 0.5rem rgba(0, 0, 0, 0.1);
      padding: 1.25rem;
      z-index: 9999;
      width: 18.75rem;
      /* height: 70px; */
    }

    .custom-alert-title {
      font-size: 1.125rem;
      font-weight: bold;
      margin-bottom: 0.625rem;
    }

    .custom-alert-message {
      font-size: 1rem;
      /* margin-bottom: 20px; */
    }

    .custom-alert-button {
      cursor: pointer;
      position: absolute;
      right: 1rem;
      top: 0.9375rem;
      font-size: 1.25rem;
    }

@font-face {
  font-family: "Radikal";
  src: url(https://ogdb-cdn.intlgame.cn/front/pc/official/font/Radikal_Medium.f03989..otf) format("opentype");
  font-weight: normal;
  font-display: "auto";
  font-style: normal;
}

@font-face {
  font-family: "Radikal";
  src: url(https://ogdb-cdn.intlgame.cn/front/pc/official/font/Radikal_Light.73d33b..otf) format("opentype");
  font-weight: 300;
  font-display: "auto";
  font-style: normal;
}

@font-face {
  font-family: "Radikal";
  src: url(https://ogdb-cdn.intlgame.cn/front/pc/official/font/Radikal_Light_Italic.3ad648..otf) format("opentype");
  font-weight: 300;
  font-display: "auto";
  font-style: italic;
}

@font-face {
  font-family: "Radikal";
  src: url(https://ogdb-cdn.intlgame.cn/front/pc/official/font/Radikal_Bold_Italic.077fa4..otf) format("opentype");
  font-weight: 700, bold;
  font-display: "auto";
  font-style: italic;
}

body {
  margin: 0;
  padding: 0;
  font-family: "Radikal", system-ui, "Microsoft YaHei UI", "Microsoft YaHei", "PingFang SC";
  font-weight: 300;
  background: #040116;
  min-width: 90rem;
}

@media screen and (min-width: 1080px) {
  body {
    overflow-x: hidden;
  }
}

button {
  border-width: 0;
}

/* 一级标题 */
.title-h1 {
  text-align: center;
  font-size: 3.75rem;
  font-style: italic;
  font-weight: 700;
  line-height: 6.375rem;
  background: linear-gradient(178.83deg,
      #ffffff 26.62%,
      rgba(236, 236, 236, 0) 135.73%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke: 0.0625rem #fff;
  /* animation: 6s gradientTitle ease-in-out infinite; */
}

/* .db-official-header .header-title,
.db-official-header .header-italic,
.db-official-header .header-btn{
  transform: translateY(10px);
  animation: 0.6s transY ease-in-out;
  animation-delay: 0.4s;
} */
.header-titlebox {
  display: flex;
  align-items: center;
  flex-direction: column;
  animation: 0.4s transY ease-in-out;
}

@keyframes transY {
  0% {
    opacity: 0;
    transform: translateY(0.625rem);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes gradientTitle {
  0% {
    background-size: 100%;
  }

  25% {
    background-size: 200%;
  }

  50% {
    background-size: 100%;
  }

  750% {
    background-size: 20%;
  }

  100% {
    background-size: 100%;
  }
}

/* 二级标题样式 */
.title-h2 {
  color: #fff;
  font-size: 2.5rem;
  font-weight: 500;
  line-height: 3.5rem;
  transform: translateY(100%) rotateX(-60deg);
  opacity: 0;
  transform-origin: center top;
  transform-style: preserve-3d;
  -webkit-transform-style: preserve-3d;
  transition: opacity 0s cubic-bezier(.215, .61, .355, 1), transform 0s cubic-bezier(.215, .61, .355, 1);
}

.title-h2.is-inview {
  transform: none;
  opacity: 1;
  transition-duration: .3s;
}

/* 三级标题样式 */
.title-h3 {
  color: #fff;
  font-size: 1.875rem;
  font-weight: 700;
  line-height: 2.30625rem;
}

/* 通用按钮样式 */
.button-style {
  display: flex;
  padding: 0.75rem 1.5rem;
  justify-content: center;
  align-items: center;
  border-radius: 0.5rem;
  background: #326ff0;
  font-weight: 300;
  font-family: inherit;
  box-sizing: border-box;
  color: #fff;
  font-size: 1.125rem;
  cursor: pointer;
  overflow: hidden;
  position: relative;
}
.button-style span{
  padding-top: 1PX;
  z-index: 11;
}

@media screen and (max-width: 1440px) {
  .button-style span{
    padding-top: 2PX;
  }
}

.button-style:after {
  background: #fff;
  content: "";
  height: 12.5rem;
  left: -11.25rem;
  opacity: .4;
  position: absolute;
  top: -5rem;
  transform: rotate(35deg);
  transition: all 0.6s cubic-bezier(0.19, 1, 0.22, 1);
  width: 9.375rem;
}

.button-style:hover:after {
  left: 130%;
  transition: all 0.6s cubic-bezier(0.19, 1, 0.22, 1);
  transition-delay: 0.15s;
}

.button-style .gradient-move-deco {
    scale: 1;
    transition: all 0.6s ease-in-out;
    opacity: 0.75;
    position: absolute;
    transform: translateX(-1.875rem) translateY(0.3125rem);
    width: 37.5rem;
    height: 37.5rem;
    background: conic-gradient(from 268deg at 50% 50%, #1760FA 80.05deg, #FF521C 174.62deg, #1760FA 197.05deg,  #3733FF 245.5deg, #3733FF 337.5deg, #1760FA 348.05deg);
    filter: blur(0.875rem) brightness(1.1);
    animation: none;
    background-size: 108% 100%;
}

/* 渐变卡片 */
.gradient-card {
  border: 0.125rem solid transparent;
  border-radius: 0.5rem;
  background-clip: padding-box, border-box;
  background-origin: padding-box, border-box;
  background-image: var(--border-in-black), var(--border-out);
  box-sizing: border-box;
}

/* 版心 */
.type-area {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 90rem;
  margin: auto;
}

.db-official-header {
  height: 65.5625rem;
}

#header {
  display: none;
}

#header, #maincontent {
  /* display: none; */
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  /* transition-delay: 0.1s; */
}

.swiper {
  transform: translateY(1.25rem);
  width: 100%;
  opacity: 0;
}

.swiper.is-inview {
  transform: none;
  opacity: 1;
  transition-duration: .3s;
}

.swiper.show {
  animation-delay: 0.4s;
  opacity: 1;
  transform: none;
}

.swiper-slide {
  transition: all 0.3s ease-in-out;
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}
:root {
  /* 彩色边框  */
  --border-out: linear-gradient(
    196deg,
    #326ff0,
    #326ff0,
    #fa684a,
    #7064ff,
    #7064ff 100%
  );
  --border-in-black: linear-gradient(to right, #040116, #040116);
  --border-in-white: linear-gradient(to right, #fff, #fff);
}

